miral-system-compositor(1)

NAME
miral-system-compositor - Mir Display Server system compositor

SYNOPSIS
miral-system-compositor [options]

DESCRIPTION
miral-system-compositor is used for running miral-shell or miral-kiosk nested and, if needed, under a different user ID on top of a Wayland based desktop session.

Mir system compositor startup can be tweaked by:

Command-line options:
    e.g. "--host-socket=/tmp/mir_socket".

Environment variables:
    Capitalise the long form of the command line option, prefix it with "MIR_SERVER_" and put "_" in place of "-". E.g. "MIR_SERVER_HOST_SOCKET=/tmp/mir_socket".

Config file entries:
    Use the long form command line options in the configuration file. E.g. "--host-socket=/tmp/mir_socket".

The config file (mir/mir-system-compositor.config) is located via the XDG Base Directory Specification. ($XDG_CONFIG_HOME or $HOME/.config followed by $XDG_CONFIG_DIRS).

OPTIONS

--host-socket <socket-filename>
    Host socket filename.

-f [ --file ] <filename>
    Socket filename (default: $XDG_RUNTIME_DIR/mir_socket or /tmp/<UID_NUMBER>-runtime-dir/mir_socket).

--no-file
    Do not provide a socket filename for client connections.

--arw-file
    Set socket file permissions to globally read-writeable (equivalent to chmod a=rw).

-p [ --prompt-file ]
    Provide a "..._trusted" filename for prompt helper connections.

--platform-graphics-lib <platform_library>
    Library to use for platform graphics support (default: autodetect).

--platform-input-lib <input_library>
    Library to use for platform input support (default: input-stub.so).

--platform-path arg (=/usr/lib/x86_64-linux-gnu/mir/server-platform)
    Directory to look for platform libraries (default: /usr/lib/<multi-arch>/mir/server-platform).

-i [ --enable-input ] {0,1}
    Enable input (default: 1, meaning: enabled).

--compositor-report {log,lttng,off} (=off)
    Compositor reporting, either of log, lttng or off (default: off).

--connector-report {log,lttng,off}
    How to handle the Connector report, either of log, lttng or off (default: off).

--display-report {log,lttng,off}
    How to handle the Display report, either of log, lttng or off (default: off).

--input-report {log,lttng,off}
    How to handle to Input report, either of log, lttng or off (default: off).

--legacy-input-report {log,off}
    How to handle the Legacy Input report, either of log or off (default: off).

--seat-report {log,off}
    How to handle to Seat report, either of log or off (default: off).

--session-mediator-report {log,lttng,off}
    How to handle the SessionMediator report, either of log, lttng or off (default: off).

--msg-processor-report {log,lttng,off}
    How to handle the MessageProcessor report, either of log, lttng or off (default: off).

--scene-report {log,lttng,off}
    How to handle the scene report, either of log, lttng or off (default: off).

--shared-library-prober-report {log,lttng,off}
    How to handle the SharedLibraryProber report, either of log, lttng or off (default: log).

--shell-report {log,off}
    How to handle the Shell report, either of log or off (default: off).

--composite-delay <msecs>
    Compositor frame delay in milliseconds (how long to wait for new frames from clients before compositing). Higher values result in lower latency but risk causing frame skipping. A negative value means decide automatically (default: 0).

--name <name>
    When nested, the name Mir uses when registering with the host.

--nested-passthrough {0,1}
    When nested, attempt to pass a client's graphics content directly to the host to avoid a composition pass (default: 1).

--offscreen
    Render to offscreen buffers instead of the real outputs.

--enable-touchspots
    Display visualization of touchspots (e.g. for screencasting).

--cursor {auto,null,software}
    Cursor (mouse pointer) to use (default: auto).

--enable-key-repeat {0,1}
    Enable server generated key repeat (default: 1).

--on-fatal-error-except
    On "fatal error" conditions (e.g. drivers behaving in unexpected ways) throw an exception (instead of a core dump).

--debug
    Enable extra development debugging. This is only interesting for people doing Mir server or client development.

--enable-mirclient
    Enable deprecated mirclient socket (for running old clients)

--console-provider arg (=auto)
    Console device handling how Mir handles console-related tasks (device handling, VT switching, etc.) Possible values given:

    logind - use logind vt: use the Linux VT subsystem. Requires root privileges.

    none - support no console-related tasks. Useful for nested platforms which do not need raw device access and which don't have a VT concept

    auto - detect the appropriate provider.

--vt {0,1}
    VT to run on or 0 to use current (default: 0).

    Usage of this option requires --console-provider=vt

--bypass {0,1}
    [platform-specific] utilize the bypass optimization for fullscreen surfaces (default: 1).

--x11-output <sizes>
    [mir-on-X specific] Colon separated list of WIDTHxHEIGHT sizes for "output" windows (default: 1280x1024).

--wayland-host <socket-name>
    Socket name for host compositor.

--startup-apps <list-of-applications>
    Colon separated list of startup applications.

--env-hacks <env-vars>
    Colon separated list of environment variable settings.

--disable-quit
    Disable Ctrl-Alt-Shift-BkSp to quit.

-h [ --help ]
    Show help text and exit.

SEE ALSO
miral-shell(1), miral-kiosk(1)

AUTHOR
The Mir Display Server has been written by the Mir Server Team at Canonical Ltd.

This man page has been written for the Debian project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> and may be re-used by others.